Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.llp
Interface MLLPV2CommonInterface

All Known Implementing Classes:
  HL7AppMessageImpl, HL7v3AppMessageImpl

    public interface MLLPV2CommonInterface

A common interface that is implemented by HL7ApplicationImpl and HL7v3ApplicationImpl

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2008/04/22 05:45:11 $
Author:
  VP Ramesh

Field Summary
`static java.lang.String` | `version`

Method Summary
`java.lang.String` | `getApplicationName()` Used to get the Application name.
`java.lang.String` | `getDatasourceJNDIName()` The getDatasourceJNDIName method is used to get the Datasource JNDI name bound to the perticular dataBase.
`boolean` | `isHL7v3Message()` The isHL7v3Message method is check the received hl7 message is V3 message or not.
`boolean` | `isHL7v3QueuedAcknowledgementType()` Used to find the configured Acknowledgment is Queued one or nor for HL7 v3 Message processing.
`boolean` | `isServerConnectionType()` The isServerConnectionType method is used to find the server connection type is server or client.
`void` | `sendEnvelopedMsg(byte[] llpMessage)` Envelopes (according to LLP settings) the HL7 data which is stored in payload, The enveloped HL7 data is then sent out over the MLLPv2.
`void` | `sendMessagePayload()` Envelopes (according to LLP settings) the HL7 data which is stored in payload, The enveloped HL7 data is then sent out over the MLLPv2.
`void` | `setMessagePayload(byte[] payload)` The payload holds HL7 data.
`void` | `updateMBeanProperty(java.lang.String propertyName, java.lang.String propertyDisplayValue)` The updateMBeanProperty method is used to update the Mbean properties.

Field Detail

### version

    static final java.lang.String version

See Also:
  Constant Field Values

Method Detail

### sendMessagePayload

    void sendMessagePayload()
                            throws HL7ApplicationException,
                                   java.io.IOException

  Envelopes (according to LLP settings) the HL7 data which is stored in payload, The enveloped HL7 data is then sent out over the MLLPv2.

  Before this method is called, the outgoing HL7 data should already be stored in payload by the setPayload() method. Note: If it fails to send the enveloped data over the TCP/IP connection, IOException will be thrown. If it fails to envelope data, HL7ApplicationException will be thrown.

  Parameters:
    None.

  Throws:
    ``HL7ApplicationException`` - Thrown upon LLP enveloping related error.
    ``IOException`` - Thrown upon TCP/IP transport error.
    `HL7ApplicationException`
    `java.io.IOException`

### setMessagePayload

    void setMessagePayload(byte[] payload)
                           throws HL7ApplicationException

  The payload holds HL7 data. Before calling the "send()" method, this payload should be set with HL7 data. After calling the "receive()" method, this payload should contain a HL7 data.This method is used only with MLLPv2

  Parameters:
    `payload` - The payload to set.
  Throws:
    ``HL7ApplicationException`` - Thrown upon error.
    `HL7ApplicationException`

### sendEnvelopedMsg

    void sendEnvelopedMsg(byte[] llpMessage)
                          throws TCPIPApplicationException,
                                 java.io.IOException

  Envelopes (according to LLP settings) the HL7 data which is stored in payload, The enveloped HL7 data is then sent out over the MLLPv2.

  Before this method is called, the outgoing HL7 data should already be stored in payload by the setPayload() method. Note: If it fails to send the enveloped data over the TCP/IP connection, IOException will be thrown. If it fails to envelope data, HL7ApplicationException will be thrown.

  Parameters:

  Parameters:
    `llpMessage` - --The enveloped HL7 Message
  Throws:
    ``HL7ApplicationException`` - Thrown upon LLP enveloping related error.
    ``IOException`` - Thrown upon TCP/IP transport error.
    `TCPIPApplicationException`
    `java.io.IOException`

### updateMBeanProperty

    void updateMBeanProperty(java.lang.String propertyName,
                             java.lang.String propertyDisplayValue)

  The updateMBeanProperty method is used to update the Mbean properties.

  Parameters:
    `propertyName` - --The property name to be updated.
    `propertyDisplayValue` - --The property display value.

### isServerConnectionType

    boolean isServerConnectionType()

  The isServerConnectionType method is used to find the server connection type is server or client.

  Returns:
    `boolean` - true or false.

### getDatasourceJNDIName

    java.lang.String getDatasourceJNDIName()
                                           throws HL7ApplicationException

  The getDatasourceJNDIName method is used to get the Datasource JNDI name bound to the perticular dataBase.

  Returns:
    `String` - JNDI name.
  Throws:
    ``HL7ApplicationException`` - Thrown upon retrieving the JNDI name.
    `HL7ApplicationException`

### getApplicationName

    java.lang.String getApplicationName()

  Used to get the Application name.

  Returns:
    `String` - Application Name.

### isHL7v3Message

    boolean isHL7v3Message()

  The isHL7v3Message method is check the received hl7 message is V3 message or not.

  Returns:
    `boolean` - return true or false.

### isHL7v3QueuedAcknowledgementType

    boolean isHL7v3QueuedAcknowledgementType()
                                             throws HL7ApplicationException

  Used to find the configured Acknowledgment is Queued one or nor for HL7 v3 Message processing.

  Returns:
    `boolean` - return true or false.
  Throws:
    `HL7ApplicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD